package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 能源对象属性值对象 adm_ems_obj_attr_value
 *
 * @author ruoyi
 * @date 2024-09-25  List<EmsObjAttrValue>
 */
public class EmsObjAttrValue {
    /**
     * 序号
     */
    private Long id;

    /**
     * 对象代码
     */
    private String objCode;

    /**
     * 属性标识
     */
    private String attrKey;

    /**
     * 属性值
     */
    private String attrValue;

    /**
     * 模型code
     */
    private String modelCode;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public EmsObjAttrValue() {
    }

    public EmsObjAttrValue(String objCode, String modelCode, String attrKey, String attrValue) {
        this.objCode = objCode;
        this.modelCode = modelCode;
        this.attrKey = attrKey;
        this.attrValue = attrValue;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setAttrKey(String attrKey) {
        this.attrKey = attrKey;
    }

    public String getAttrKey() {
        return attrKey;
    }

    public void setAttrValue(String attrValue) {
        this.attrValue = attrValue;
    }

    public String getAttrValue() {
        return attrValue;
    }

    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    public String getModelCode() {
        return modelCode;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("objCode", getObjCode())
            .append("attrKey", getAttrKey())
            .append("attrValue", getAttrValue())
            .append("modelCode", getModelCode())
            .append("updateTime", getUpdateTime()).toString();
    }
}
